#
# spec file for package breeze4-style
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           breeze4-style
Version:        5.12.90
Release:        0
BuildRequires:  automoc4
BuildRequires:  cmake >= 2.8.12
BuildRequires:  kde4-filesystem
BuildRequires:  libkde4-devel
BuildRequires:  libqt4-devel
BuildRequires:  libxcb-devel
Supplements:    packageand(breeze5-style:libqt4)
# This sets the breeze4 style as default in a Plasma environment
Recommends:     kdebase4-workspace-libs
Summary:        Plasma Desktop artwork, styles and assets
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         http://download.kde.org/unstable/plasma/%{version}/breeze-%{version}.tar.xz
# PATCH-FIX-OPENSUSE add-support-for-Q3ListView-to-the-KDE4-style.patch boo#973728 wbauer@tmo.at -- fixes collapse/expand icon in Q3ListView that still may be used by some KDE4 applications (knode e.g.)
Patch:          add-support-for-Q3ListView-to-the-KDE4-style.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Artwork, styles and assets for the Breeze visual style for the Plasma Desktop.
This package contains kde4 backport of new default Plasma 5 style.

%prep
%setup -q -n breeze-%{version}
%patch -p1

%build
  %cmake_kde4 -d build -- -DBUILD_po=OFF -DUSE_KDE4=ON
  %make_jobs

%install
  %kde4_makeinstall -C build

%files
%defattr(-,root,root)
%doc COPYING*
%{_kde4_modulesdir}/
%{_kde4_appsdir}/

%changelog
